mondoarchive(8)

NAME
mondoarchive - a backup / disaster-recovery tool.

SYNOPSIS
mondoarchive -O [ options ] : backup your PC
mondoarchive -V [ options ] : verify your backup

DESCRIPTION

mondoarchive backs up a subset of your files, your entire filesystem, or even images of non-Linux filesystems to CD's, tape, ISO images or an NFS mount. In the event of catastrophic data loss, you will be able to restore everything, taking a PC from bare metal to its original state if necessary. With -O, it backs up your filesystem to CD, tape, ISO images or NFS share. Boot floppies or a special boot CD will be created to allow you to restore from bare metal if necessary. With -V, it verifies the backup against the live filesystem. This option may be used in combination with -O to verify a backup after its creation, or on its own to see how much the live filesystem has changed since the backup was made. Call mondoarchive without flags to make it auto-detect as many settings as possible, ask you politely for the rest, and then backup and verify your OS or a subset thereof. To restore data, either run mondorestore from the command line or boot from the emergency CD/floppies generated during the backup process. The latter will come in handy if a gremlin wipes your hard disk.

BACKUP MEDIA

You must specify one of the following:-

-c speed
    Use CD-R drive as backup device and its (write-once) disks as backup media.

-w speed
    Use CD-RW drive as backup device and its (write/rewrite) disks as backup media. Mondo will wipe media before writing to them.

-r  Use DVD drive as backup device and its disks as backup media. Growisofs decides on the best speed for your drive. Note that calling mondoarchive using sudo when writing to DVDs will fail because growisofs does not support this - see the growisofs manpage for details.

-C speed
    Use CD-R drive as a streaming device, almost like a tape streamer. Use write-once disks as backup media. Experimental.

-p prefix
    Use prefix to generate the name of your ISO images. By default, mondoarchive names images mondorescue-1.iso, mondorescue-2.iso, ... Using -p machine will name your images machine-1.iso, machine-2.iso, ...

-i  Use ISO files (CD images) as backup media. This is good for backing up your system to a spare hard drive. The -n switch is a wiser choice if you plan to restore from a remote filesystem.

-n mount
    Use files residing on NFS partition as backup media. mount is the remote mount-point, e.g. '192.168.1.3:/home/nfs' for my file server. Please mount it before backing up/verifying.

-t  Use tape streamer as backup device and its tapes as backup media.

-u  Use a generic streaming device as backup device. Use this if you want to write your backup to a device that is not directly support by mondoarchive. This will send the data directly to a raw device. For experienced users only.

MAJOR OPTIONS

-D  Make a differential backup: examine the filesystem and find which files have changed since the last full backup was carried out. Backup only those files.

-E “path ...”
    Exclude path(s) from backup. The paths should be separated with a whitespace. Note that mondo automatically excludes removable media (/mnt/floppy, /mnt/cdrom, /proc, /sys, /tmp). For example, if you are backing up to an NFS mount but you do not want to include the contents of the mount in a backup, exclude your local mount-point with this switch. It will also work with partitions, e.g. /dev/sdd4 if you have a peculiar SCSI zip drive which insists on showing up in the mountlist. NB: If you exclude /dev/sdd4 then the /dev entry itself will still be backed up, even though the mountlist entry will be suppressed. N.B.: If you specify a directory with a final / its content will be archived so it won't do what you expect.

-I “path ...”
    Include paths(s) in backup. The default backup path is “/” but you may specify alternatives, e.g. -I “/home /etc” to override that.

-J file
    Specify an explicit list of files and directories to include in a plain text file, one item (file or directory) per line. Beware that directories placed in that file are not managed recursively contrary to what is done with the -I option.

-N  Exclude all mounted network filesystems. This currently means NFS, SMB, Coda, MVFS, AFS OCFS and Netware. In other words, only backup the local hard disk(s).

-d dev|dir
    Specify the backup device (CD/tape) or directory (NFS/ISO). For CD-R[W] drives, this is the SCSI node where the drive may be found, e.g. '0,1,0'. For tape users, this is the tape streamers /dev entry, e.g. '/dev/st0'. For ISO users, this is the directory where the ISO images are stored. For NFS users, this is the directory within the NFS mount where the backups are stored. The default for ISO and NFS is '/root/images/mondo'.

-g  GUI mode. Without this switch, the screen output of mondoarchive is suitable for processing by an 'expect' wrapper, enabling the user to backup nightly via a cron job. However, if you want to run this program with an attractive but non-cron-friendly interface then use '-g'.

-k path
    Path of user's kernel. If you are a Debian or Gentoo user then specify -k FAILSAFE as your kernel. Otherwise, you will rarely need this option.

-m  Manual (not self-retracting) CD trays are often found on laptops. If you are a laptop user, your CD burner has BurnProof technology or you experience problems with mondo then please call mondoarchive with this switch.

-o  Use LILO as boot loader of boot floppy/CD instead of SYSLINUX/ISOLINUX. By default, SYSLINUX is used for floppies and ISOLINUX for CD's. Use LILO if you prefer to use that boot loader. NB: This does not affect which boot loader you use to boot your PC, merely the boot loader used by the CD's/floppies created by Mondo. Use ELILO instead which is mandatory for IA64 machines.

-s size
    How much can each of your backup media hold? You may use 'm' and 'g' on the end of the number, e.g. '700m' for an extra-large CD-R. You no longer need to specify the size of your cartridges if you are backing up to tape.

-x 'dev ...'
    Specify non-Linux partitions which you want to backup, e.g. NTFS or BeOS.

MINOR OPTIONS

-[0-9]
    Specify the compression level. Default is 3. No compression is 0.

-A command
    This command will be called after each CD/NFS/ISO file is written. It is useful if you want to do something with an ISO after creating it, e.g. write it to a CD burner using a non-standard command. -A understands two tokens - _ISO_ and _CD#_ - which will be translated into the ISO's filename and its index number (1, 2, ...) respectively. So, you could use -A 'foobackup _ISO_; rm -f _ISO_' to feed each ISO to some magical new backup tool.

-B command
    This command will be called before each CD/NFS/ISO file is written. See -A for more information.

-F  Do not offer to write boot+data floppy disk images to 3.5-inch floppy disks. The images will remain in /var/cache/mindi until your next backup run, however.

-H  When you boot from the tape/CD, your hard drive will be wiped and the archives will be restored. Your decision to boot from the tape/CD will be taken as consent. No further permission will be sought. Use with caution.

-L  Use lzo, a fast compression engine, instead of bzip2. You may find lzo on Mondo's website or via FreshMeat. WARNING! Some versions of LZO are unstable.

-G  Use gzip, the standard and quicker Linux compression engine, instead of bzip2.

-R  EXPERIMENTAL. Do not use in mission-critical environments. Star is an alternative to afio. Mondo now supports POSIX ACLs and extended attributes, so -R is essentially redundant for now.

-P tarball
    Post-nuke tarball. If you boot into Nuke Mode and everything is restored successfully then the post-nuke script will be sought and executed if found. This is useful for post-restore customization. It is assumed that the tarball (.tar.gz format) will contain not just the post-nuke script (or binary, or whatever it is) but also any files it requires.

-S path
    Specify the full pathname of the scratchdir, the directory where ISO images are built before being archived. If you have plenty of RAM and want to use a ramdisk for scratch space, specify its path here.

-T path
    Specify the full pathname of the tempdir, the directory where temporary files (other than ISO images being assembled) are stored. See -S

-W  Don't make your backup self-booting. This is a really bad idea, IMO. Don't do this unless you have really great boot disks in your hand and you are an anally retentive SOB who can't wait 2 minutes for Mindi to run in the background. If you use -W then you'd better know what the hell you're doing, okay?

-b  Specify the internal block size used by the tape drive. This is usually 32K but some drives just don't like that. They should but they don't. That's what happens when tape drive vendors don't talk to kernel driver writers. Try 512 or 16384.

-e  Don't eject the CD or tape when backing up or restoring... unless cdrecord insists on it. If it does, well, tough. Sorry. :)

-f device
    Specify the drive on which your Master Boot Record lives. Usually, this is discovered automatically.

-l GRUB|LILO|ELILO|RAW
    Specify the boot loader. By default, your Master Boot Record is examined and the boot loader can usually be discovered. If you specify RAW then the MBR will be backed up and restored byte-for-byte without any analysis. It is likely that you will also need to specify the boot device with -f <dev>. ELILO is mandatory for IA64 machines.

-Q  Give more detailed information about the boot loader.

-K loglevel
    Specify the loglevel. Use 99 for full debug. Standard debug level is 4.

-z  Use extended attributes and acl for each file and store them in the backup media. Use this option if you use SElinux e.g. but it will slow down backup and restore time of course.

DIAGNOSTICS
Mondo generates one additional, and extremely important file: /var/log/mondoarchive.log. When seeking technical support, attach this file to your email.

FILES
/var/log/mondoarchive.log This log contains important information required to analyse mondoarchive problem reports. Did I already said that it's highly recommended to send this file with support questions.

NOTES
A link to Mondo's HTML-based manual (by Bruno Cornec, Mikael Hultgren, Cafeole, Randy Delphs, Stan Benoit, and Hugo Rabson) may be found at http://www.mondorescue.org/docs.shtml - or in /usr/share/doc/mondo-x.xx on your hard drive.

BUGS
It is recommend that your system has more than 64 MB ram. SCSI device order change with nuke can have unexpected results. It is recommended you use expert mode with drastic hardware reconfigurations.

EXAMPLES
ISO: Backup to a directory; note that /mnt/foo's contents will be backed up except for its ISO's unless you exclude it, as follows:-
mondoarchive -Oi -d /mnt/foo -E '/mnt/foo /mnt/foo2' -p